Search and filtering
Easily search and filter the Rapid Content API response for more targeted results.
You can use the search and filter functionality for the Rapid Content API to control what property information you receive in the response. This allows you to streamline the data you receive and access only the information travelers need, meaning reduced costs and more flexibility.
Search
Use the search functionality to find properties that offer a particular amenity or service to guests, for example, properties that offer enhanced sustainability features.
You can search by property-level elements including:
category_id: Categoriesall_inclusive: All-inclusive statusattribute_id: Attributesamenity_id: Property level amenitiesspoken_language_id: Spoken languages
Note: This functionality does not include specific room or rate plan elements.
Request example 1
In this example we're using the amenity_id search parameter to limit which properties are returned.
curl -X GET "https://test.ean.com/v3/properties/content\
?language=en-US\
&supply_source=expedia\
&amenity_id=115\
&include=property_id\
&property_id=1337\
&property_id=1" \
-H "accept: application/json, application/json"\
-H "accept-encoding: gzip"\
-H "authorization: EAN apikey=abcd1234,signature=090a77e7ddd7779980231,timestamp=1697664047"\
-H "user-agent: TravelNow/3.30.112"Response example 1
In this response we can see that only property 1337 is returned because property 1 does not have amenity ID 115 available.
{
"1337": {
"property_id": "1337"
}
}For a full list of available attributes, amenities, spoken languages, and categories, see the content reference lists.
Filter
You can request a portion of the response without receiving full property details by requesting only the top-level sections you need. Use the include parameter to specify the sections you want. The results will consist of the property_id and requested sections per property.
Available sections for filtering
You can filter on more than 200 parameters in Rapid API including top-level and subfields. This list shows the top-level sections currently available, in alphabetical order. Both top-level fields and their subfields are filterable through the API and future top-level sections will also be filterable.
addressairportsall_inclusiveamenitiesattributesbrandbusiness_modelcatalogcategorychaincheckincheckoutdescriptionsfaxfeesimageslocationmulti_unitnameonsite_paymentspayment_registration_recommendedphonepoliciesproperty_idproperty_idsrankratesratingsregistry_numberroomsspoken_languagesstatisticssupply_sourcetax_idthemesvacation_rental_details
Request example 2
In this example we're using the name and amenities values in the include parameter.
curl -X GET "https://test.ean.com/v3/properties/content\
?language=en-US\
&supply_source=expedia\
&include=name\
&include=amenities\
&property_id=1337" \
-H "accept: application/json, application/json"\
-H "accept-encoding: gzip"\
-H "authorization: EAN apikey=abcd1234,signature=090a77e7ddd7779980231,timestamp=1697664047"\
-H "user-agent: TravelNow/3.30.112"Response example 2
This example shows that property_id, name, and amenities are included in the response. Note: property_id is always included in the response; you don't need to specify it as an include parameter unless it is the only field you want.
{
"1337": {
"property_id": "1337",
"name": "Hyatt Regency Paris Etoile",
"amenities": {
"8": {
"id": "8",
"name": "Elevator"
},
"43": {
"id": "43",
"name": "Concierge services"
},
"115": {
"id": "115",
"name": "Bicycle rentals nearby"
},
"361": {
"id": "361",
"name": "Breakfast available (surcharge)"
},
...
}
}
}